title 正在执行 免格升级/尝试修复
set /p way=<update_way.txt
set /p u=<Upath.txt
core\7-Zip\7z.exe x core\Edgeless.iso -ocore\Release -aoa
del /f /q %u%:\Edgeless\Nes_Inport_old.7z
del /f /q %u%:\sources\boot_old.wim
ren %u%:\Edgeless\Nes_Inport.7z Nes_Inport_old.7z
ren %u%:\sources\boot.wim boot_old.wim
if %way%==4 xcopy /s /r /y core\Release\* %u%:\*
if %way%==3 (
    del /f /q %u%:\sources\boot.wim
    :delCheck3
    if exist %u%:\sources\boot.wim (
        cls
        echo.
        echo 删除U盘目录中的%u%:\sources\boot.wim失败，请将其手动删除后按任意键重试
        echo 如果您频繁收到此警告，请考虑是否有安全软件对U盘进行了写入保护或是正在尝试对只读挂载的ISO镜像进行升级
        echo.
        pause
        goto delCheck3
    )
    xcopy /s /r /y core\Release\sources\boot.wim %u%:\sources\boot.wim
    xcopy /s /r /y core\Release\Edgeless\* %u%:\Edgeless\*
)
if %way%==2 (
    del /f /q %u%:\sources\boot.wim
    del /f /q %u%:\Edgeless\Nes_Inport.7z
    :delCheck2
    if exist %u%:\sources\boot.wim (
        cls
        echo.
        echo 删除U盘目录中的%u%:\sources\boot.wim失败，请将其手动删除后按任意键重试
        echo 如果您频繁收到此警告，请考虑是否有安全软件对U盘进行了写入保护或是正在尝试对只读挂载的ISO镜像进行升级
        echo.
        pause
        goto delCheck2
    )
    if exist %u%:\Edgeless\Nes_Inport.7z (
        cls
        echo.
        echo 删除U盘目录中的%u%:\Edgeless\Nes_Inport.7z失败，请将其手动删除后按任意键重试
        echo 如果您频繁收到此警告，请考虑是否有安全软件对U盘进行了写入保护或是正在尝试对只读挂载的ISO镜像进行升级
        echo.
        pause
        goto delCheck2
    )
    xcopy /s /r /y core\Release\Edgeless\Nes_Inport.7z %u%:\Edgeless\Nes_Inport.7z
    xcopy /s /r /y core\Release\sources\boot.wim %u%:\sources\boot.wim
)

if %way%==1 (
    del /f /q %u%:\Edgeless\Nes_Inport.7z
    if exist %u%:\Edgeless\Nes_Inport.7z (
        cls
        echo.
        echo 删除U盘目录中的%u%:\Edgeless\Nes_Inport.7z失败，请将其手动删除后按任意键重试
        echo 如果您频繁收到此警告，请考虑是否有安全软件对U盘进行了写入保护或是正在尝试对只读挂载的ISO镜像进行升级
        echo.
        pause
        goto delCheck2
    )
    xcopy /s /r /y core\Release\Edgeless\Nes_Inport.7z %u%:\Edgeless\Nes_Inport.7z
)

::更新版本信息文件
del /f /q %u%:\Edgeless\version.txt
:delCheck0
if exist %u%:\Edgeless\version.txt(
    cls
    echo.
    echo 删除U盘目录中的%u%:\Edgeless\version.txt失败，请将其手动删除后按任意键重试
    echo 如果您频繁收到此警告，请考虑是否有安全软件对U盘进行了写入保护或是正在尝试对只读挂载的ISO镜像进行升级
    echo.
    pause
    goto delCheck0
)
xcopy /s /r /y core\version_ol.txt %u%:\Edgeless\version.txt
echo =======================================
echo        免格更新/尝试修复 操作完成！
echo =======================================
echo.
echo.
pause
call main_exit.cmd